### Function

# GLib strsignal

#### Declaration [src]

    const gchar*
    g_strsignal (
      gint signum
    )

#### Description [src]

Returns a string describing the given signal, e.g. “Segmentation fault”. If the signal is unknown, it returns “unknown signal (<signum>)”.

You should use this function in preference to `strsignal()`, because it returns a string in UTF-8 encoding, and since not all platforms support the `strsignal()` function.

#### Parameters

`signum`

  Type: `gint`

  The signal number. See the `signal` documentation.

#### Return value

Type: `const gchar*`

The string describing the signal.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.